Get EDN Document Details by Shipment Number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve detailed information about EDN based on its unique shipment number.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}/edn

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details like:

  • Shipment Number
  • Shipment Docs Id
  • Shipment Folder Details Id
  • Exporter Reference
  • Customer Reference
  • EDN
  • Status

Request Parameters

To fetch EDN details, provide the required field, which is the "Shipment Number" {shipment_no}. Alternatively, users can also pass the Shipment Docs Id {shipmentdocs_id} in place of the Shipment Number for retrieval.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}/edn

Response

{
    "shipment_no": "Impx-Demo",
    "shipmentdocs_id": "5a8ef9c4-dfd-4b09-bf51-faad55d94c41",
    "shipmentfolderdetail_id": "c2b9fdf0-4453-4deb-9ed7-e3141f80260a",
    "edn_details": [
        {
            "exporter_reference": "0141300",
            "customer_reference": "9002323",
            "edn": "240",
            "status": "CT"
        },
      //Additional EDN 
    ]
}

This example demonstrates a request to fetch the EDN details of a shipment with the provided shipment number. The response includes details such as the shipment number, shipment docs id, shipment folder details ID, and EDN information.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json